sessanの日記

主に開発技術関連でお勉強したことをまとめていくサイトです。

rvmのアップデート

rvmのバージョンが古いとrubyの新しいバージョンをインストールしようとした時にエラーが出る場合がある。そういうときは、rvmをアップデートする必要がある。rvmは、インストールスクリプトがアップデート用にも作られているので、これを実行すればよい。

手順

  1. rvmインストールスクリプトを再実行
  2. rvm の最新版をリロード

1. rvmインストールスクリプトを再実行

公式サイトにインストールスクリプトが掲載されているので、それをコピペ。自分の場合は元々スーパーユーザーではない普通のユーザーでrvmをインストールしたので、以下のスクリプト。

> \curl -L https://get.rvm.io | bash -s stable

2. rvm の最新版をリロード

> rvm reload

これで、最新版のrvmがアクティブになり使える。